#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int n,q,n1;
    scanf("%d",&n);
    scanf("%d",&q);
    int a[n];
    int b[q];
    for(int i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
    }
    for(int i=0;i<q;i++)
    {
        scanf("%d",&b[i]);
    }
    for(int i=0;i<n;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(a[i]>a[j])
            {
                int p=a[i];
                a[i]=a[j];
                a[j]=p;
            }
        }
    }
    int br;
    for(int i=0;i<q;i++)
    {
    if(a[n/2]==b[i])
         printf("%d\n",0);
    else
    {
        br=0;
        n1=n;
        while(a[n1/2]<b[i])
        {
            n1++;
            br++;
        }
        if(i<q-1)
            printf("%d\n",br);
        else
            printf("%d",br);
    }
    }
    return 0;
}